<?php
	load_plugin_textdomain('ePayBank','wp-content/plugins/ePayBank/langs');

	include_once('inc/ePayBank.class.php');
	$ePayBank = new ePayBank;

	if(get_option('MerchantID')) {
		$ePayBank->MerchantID = get_option('MerchantID');
		
	}

	function ePayBank_menu() {
		if (function_exists('add_options_page')) {
			add_menu_page(__('ePayBank', 'ePayBank'), __('ePayBank', 'ePayBank'), 'manage_options', 'ePayBank/setting.php', 'ePayBank_menupage', plugin_dir_url( __FILE__ ).'/images/ePayBank_favicon.png');
			add_submenu_page('ePayBank/setting.php', __('ePayBank Setting', 'ePayBank'), __('ePayBank Setting', 'ePayBank'), 'manage_options', 'ePayBank/setting.php', 'ePayBank_menupage');
		}
	}
	add_action('admin_menu', 'ePayBank_menu');

	function ePayBank_menupage() {
		if (!current_user_can('manage_options')) {
			wp_die(__('You do not have sufficient permissions to access this page.', 'ePayBank'));
		}

		settings_fields('ePayBank_options');
		function register_ePayBank() {
			register_setting('ePayBank_options', 'MerchantID');
			
		}

		include_once('setting.php');
	}

	function ePayBank_form() {

		if(is_user_logged_in()) {

			global $current_user, $ePayBank;
			include_once('inc/form.php');

			if($_POST['submit_payment']) {

				if($_POST['payer_price'] ) {

					$ePayBank->Price = $_POST['payer_price'];
					$ePayBank->ReturnPath = 'http://' . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
					$ePayBank->ResNumber = preg_replace("/[^0-9]/", "", uniqid());
					/*$ePayBank->Description = ' | ' . $_POST['description_payment'] . ' |  ' . $_POST['payer_name'] . ' |  ' . $_POST['payer_email'] . ' |  ' .$_POST['payer_mobile'] . '';
					$ePayBank->Paymenter = $_POST['payer_name'];
					$ePayBank->Email = $_POST['payer_email'];
					$ePayBank->Mobile = $_POST['payer_mobile'];*/

					if($ePayBank->Request()) {

						switch($ePayBank->Request()) {

							case '-1':
								echo '<p class="error-payment">' . __('Error! Merchent Id is incorrect.', 'ePayBank') . '</p>';
								break;

							case '-2':
								echo '<p class="error-payment">' . __('Error! Your CallBack URL is undefiend.', 'ePayBank') . '</p>';
								break;

							case '-3':
								echo '<p class="error-payment">' . __('Error! Your Merchent Id is not numeric.', 'ePayBank') . '</p>';
								break;

							case '-4':
								echo '<p class="error-payment">' . __('Error! Your Ip is not valid.', 'ePayBank') . '</p>';
								break;
							case '-5':
								echo '<p class="error-payment">' . __('Error! Your Price is not numeric.', 'ePayBank') . '</p>';
								break;
							case '-6':
								echo '<p class="error-payment">' . __('Error! Your Bank is not valid.', 'ePayBank') . '</p>';
								break;
							case '-7':
								echo '<p class="error-payment">' . __('Error! Your amount must be upper than 5000 Rial.', 'ePayBank') . '</p>';
								break;
							case '-11':
								echo '<p class="error-payment">' . __('Error! Your Gateway is block.', 'ePayBank') . '</p>';
								break;

						}
					} else {
						add_option('user_price_' . $current_user->ID, $_POST['payer_price']);
						update_option('user_price_' . $current_user->ID, $_POST['payer_price']);
					}
				} else {
					echo '<p class="error-payment">' . __('Error! Please Complate all field.', 'ePayBank') . '</p>';
				}
			}

			$ePayBank->Price = get_option('user_price_' . $current_user->ID);

			switch($ePayBank->Verify()) {

							case '-1':
								echo '<p class="error-payment">' . __('Error! Merchent Id is incorrect.', 'ePayBank') . '</p>';
								break;

							case '-2':
								echo '<p class="error-payment">' . __('Error! Your CallBack URL is undefiend.', 'ePayBank') . '</p>';
								break;

							case '-3':
								echo '<p class="error-payment">' . __('Error! Your Merchent Id is not numeric.', 'ePayBank') . '</p>';
								break;

							case '-4':
								echo '<p class="error-payment">' . __('Error! Your Ip is not valid.', 'ePayBank') . '</p>';
								break;
							case '-5':
								echo '<p class="error-payment">' . __('Error! Your Price is not numeric.', 'ePayBank') . '</p>';
								break;
							case '-6':
								echo '<p class="error-payment">' . __('Error! Your Bank is not valid.', 'ePayBank') . '</p>';
								break;
							case '-7':
								echo '<p class="error-payment">' . __('Error! Your amount must be upper than 5000 Rial.', 'ePayBank') . '</p>';
								break;
							case '-11':
								echo '<p class="error-payment">' . __('Error! Your Gateway is block.', 'ePayBank') . '</p>';
								break;

				case '-36':
					echo '<p class="error-payment">' . __('Error! Transaction was Unsuccessful.', 'ePayBank') . '</p>';
					continue;

				case '-33':
					echo '<p class="success-payment">' . sprintf(__('Transaction was successful. <br /> Your tracking number: %s <br /> Payment price : %s <br /> Your Order ID: %s', 'ePayBank'), $ePayBank->RefNumber, number_format($ePayBank->PayPrice, 0, '.', ''), $ePayBank->ResNumber) . '</p>';
					$mail_headers = "Content-Type: text/plain; charset=utf-8\r\n";
					$mail_headers .= "From: admin <admin>\r\n";
					$mail_headers .= "X-Mailer: PHP/".phpversion()."\r\n";
					wp_mail($current_user->user_email, "پرداخت شما تایید شد", "پرداخت شما تایید شد <br />   ", $mail_headers);
					continue;
			}

			delete_option('user_price_' . $current_user->ID);

		} else {
			echo sprintf(__('This form is for registeration users. please <a href="%s">login</a> to site.', 'ePayBank'), wp_login_url());
		}
	}
	
	add_shortcode('ePayBank', 'ePayBank_form');
	add_filter('widget_text', 'do_shortcode');
?>
